
// external declarations for SysInfo.cc

#include windef.h

if type('CreateDC') # 'FP'
   extern HDC CreateDC(LPCSTR, LPCSTR , LPCSTR , LPSTRUCTURE) gdi32 ;
                   from 'CreateDCA'
endif

if type('GetActiveWindow') # 'FP'
   extern CHANDLE GetActiveWindow(VOID) user32
endif

if type('GetClassName') # 'FP'
   extern CINT GetClassName(CHANDLE, LPSTR, CINT) user32 ;
                   from "GetClassNameA"
endif

if type('GetClientRect') # 'FP'
   extern BOOL GetClientRect(CHANDLE, LPRECT) user32
endif

if type('GetComputerName') # 'FP'
   extern BOOL GetComputerName(LPSTR, LPDWORD) kernel32 ;
                      from "GetComputerNameA"
endif

if type('GetDeviceCaps') # 'FP'
   extern CINT GetDeviceCaps(HDC, CINT) gdi32
endif

if type('GetDesktopWindow') # 'FP'
   extern CHANDLE GetDesktopWindow(VOID) user32
endif

if type('GetFileVersionInfoSizeA') # 'FP'
   extern CINT GetFileVersionInfoSizeA(CSTRING, CPTR CINT) version
endif

if type('GetFileVersionInfoA') # 'FP'
   extern CINT GetFileVersionInfoA(CSTRING, CINT, CINT, CPTR) version
endif

if type('GetLastError') # 'FP'
   extern DWORD GetLastError( VOID ) kernel32
endif

if type('GetOpenFileName') # 'FP'
   extern CLOGICAL GetOpenFileName( CPTR ) comdlg32.dll ;
                      from 'GetOpenFileNameA'
endif

if type('GetSystemInfo') # 'FP'
   extern VOID GetSystemInfo( LPSTRUCTURE ) kernel32
endif

if type('GetSystemMetrics') # 'FP'
   extern CINT GetSystemMetrics(CINT) user32
endif

if type('GetVersion') # 'FP'
   extern DWORD GetVersion( VOID ) kernel32
endif

if type('GetVersionEx') # 'FP'
   extern CLOGICAL GetVersionEx( CPTR ) kernel32 ;
                from "GetVersionExA"
endif

if type('GetWindow') # 'FP'
   extern CHANDLE GetWindow(CHANDLE, UINT) user32
endif

if type('GetWindowRect') # 'FP'
   extern BOOL GetWindowRect(CHANDLE, LPRECT) user32
endif

if type('GlobalMemoryStatus') # 'FP'
   extern VOID GlobalMemoryStatus(LPSTRUCTURE) kernel32
endif

if type('LockWindowUpdate') # 'FP'
   extern BOOL LockWindowUpdate(CHANDLE) user32
endif

if type('SendMessage') # 'FP'
   extern LRESULT SendMessage(CHANDLE, UINT, WPARAM, LPARAM) user32 ;
                   from "SendMessageA"
endif

if type('SetParent') # 'FP'
   extern CHANDLE SetParent(CHANDLE, CHANDLE) user32
endif

